function a = realpow(b,c)
%REALPOW Real power.
%	REALPOW(X,Y) requires X.^Y to be real.
%	See also REALSQRT, REALLOG.

a = b.^c;
if( any(any(imag(a))) ),
	error( 'realpow produces complex result' );
end
